You are not logged in.

#1 2021-01-14 06:14:04

moscow-hunt
Member
Registered: 2020-03-25
Posts: 11

GIMP 2.10.22-1 is missing python support?

I could not find the filters -> python-fu menu item, so I looked around and it looks like this would have been the package I need:

AUR (en) - python2-gimp

However, if I understand the maintainer's last comments, that package doesn't work with the current version of Gimp.

Python2 is disappearing and gimp has decided to remove support for plugins that need it in the latest version. Either we wait for version 3.0 of Gimp or we use other plugins, and even a flatpak image of the program (with everything included).

I don't want to use a flatpak. However, next I found this page:

pgimp · PyPI

I don't find "pgimp" in the AUR. Using pip is not the Arch way to install stuff, so what is the recommended way for me to add python support to GIMP 2.10.22-1 in Arch?

Actually, all I want to do it convert a palette to a gradient. It seems like I need python in gimp for that, but is there another way?

Offline

Board footer

Powered by FluxBB